<?php get_header(); ?>

<div id="wrap">

<?php if (get_option('swt_slider') == 'Hide') { ?>
<?php { echo ''; } ?>
<?php } else { include(TEMPLATEPATH . '/includes/slide.php'); } ?>

 <div id="nav2"><!-- CATEGORY MENU -->
    <?php if ( has_nav_menu( 'secondary-menu' ) ) {   //checks if custom menu has been created
          wp_nav_menu( array( 'menu_class' => 'sf-menu', 'theme_location' => 'secondary-menu' ) );
	} else {// if not, old fashioned category menu will be loaded
	?>
        <ul class="sf-menu">
            <?php $cat = get_option('swt_categories');  ?>
            <li class="category_item <?php if(is_home()) { echo 'current-cat'; } ?>"><a href="<?php bloginfo('home'); ?>" id="home">Главная</a></li>
        	<?php wp_list_categories("title_li=&depth=1&exclude=$cat" ); ?>
        </ul>
   <?php } ?>

 </div><!-- END CATEGORY MENU -->

<?php if (get_option('swt_gallery') == 'Hide') { ?>
<?php { echo ''; } ?>
<?php } else { include(TEMPLATEPATH . '/includes/gallery.php'); } ?>

<div style="clear:both"></div>
<div id="contentwrap">
	<?php if (have_posts()) : ?>
		<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
		<?php /* If this is a category archive */ if (is_category()) { ?>
		<h2 class="pagetitle">Архив  <?php single_cat_title(); ?> </h2>
 	  <?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
		<h2 class="pagetitle">Запись с меткой<?php single_tag_title(); ?></h2>
 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="pagetitle">Архив за день <?php the_time('F jS, Y'); ?></h2>
 	  <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="pagetitle">Архив за месяц <?php the_time('F, Y'); ?></h2>
 	  <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="pagetitle">Архив за год <?php the_time('Y'); ?></h2>
	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="pagetitle">Архив автора</h2>
 	  <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h2 class="pagetitle">Архив блога</h2>
		<?php } ?>

		<?php while (have_posts()) : the_post(); ?>

			<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
				<h2 class="title"><a href="<?php the_permalink() ?>" rel="bookmark" title="Ссылка на <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
                <div class="meta">
                 Автор <span><?php the_author(); ?></span>
                 Опубликовано в <?php the_category(', ') ?>&nbsp;&nbsp;
                 <?php comments_popup_link('Нет комментариев &#187;', '1 Комментарий &#187;', '% Комментариев &#187;', 'comm'); ?>
                </div>

				<div class="entry">
                <?php if ( function_exists( 'get_the_image' ) ) {
            get_the_image( array( 'custom_key' => array( 'post_thumbnail' ), 'default_size' => 'full', 'image_class' => 'alignleft', 'width' => '284', 'height' => '104' ) ); }
            ?>
					<?php the_content(''); ?>
                    <a class="more-link" href="<?php the_permalink() ?>#more">Читать далее</a>
				</div>
			</div>

		<?php endwhile; ?>

		<div class="navigation">
        <?php
            include('includes/wp-pagenavi.php');
            if(function_exists('wp_pagenavi')) { wp_pagenavi(); }
        ?>
		</div>

	<?php endif; ?>
</div>
<?php get_sidebar(); ?>
<?php get_footer(); ?>