<?php get_header(); ?>

<div id="wrap">

 <div id="nav2"><!-- CATEGORY MENU -->
    <?php if ( has_nav_menu( 'secondary-menu' ) ) {   //checks if custom menu has been created
          wp_nav_menu( array( 'menu_class' => 'sf-menu', 'theme_location' => 'secondary-menu' ) );
	} else {// if not, old fashioned category menu will be loaded
	?>
        <ul class="sf-menu">
            <?php $cat = get_option('swt_categories');  ?>
            <li class="category_item <?php if(is_home()) { echo 'current-cat'; } ?>"><a href="<?php bloginfo('home'); ?>" id="home">Главная</a></li>
        	<?php wp_list_categories("title_li=&depth=1&exclude=$cat" ); ?>
        </ul>
   <?php } ?>

 </div><!-- END CATEGORY MENU -->

<div id="contentwrap">

	<?php if (have_posts()) : ?>

		<?php while (have_posts()) : the_post(); ?>

			<div class="posts" id="post-<?php the_ID(); ?>">
				<h2 class="title"><a href="<?php the_permalink() ?>" rel="bookmark" title="Ссылка на <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>

				<div class="entry">
					<?php the_content(''); ?>
				</div>
			</div>

            <?php comments_template(true, ''); ?>

		<?php endwhile; ?>

	<?php endif; ?>
</div>
<?php get_sidebar(); ?>
<?php get_footer(); ?>